/* ** This files handles the course's data function(s) ** */
// Animate

// Update stage will render next frame
createjs.Ticker.framerate = 30;
createjs.Ticker.addEventListener("tick", tickHandler);

// createjs.Ticker.addEventListener("tick", function);

function tickHandler(e) {
    stage.update();
}

//Declare Variables
var posNetPressure = 10;
var qTheta=0;
var qu = 0;
var floorsNumber=0;
var flowRes = 0;
var H = 0;
var paroxiNumber=0;
var paroxi_high=0;
var sTaut=0;
var piesi=0;

/* Start of Get Values from Sliders*/
//Arithmos Paroxwn
$("#paroxi").change(function() {
    $("#paroxi").val($(this).val());
    calc();
});
//Ypsiloteri Paroxi
$("#paroxi_high").change(function() {
    $("#paroxi_high").val($(this).val());
    calc();
});
//Sintelestis Tautoxronismou
$("#sintelestis").change(function() {
    $("#sintelestis").val($(this).val());
    calc();
});
//Piesi Ekrois
$("#piesi").change(function() {
    $("#piesi").val($(this).val());
    calc();
});

/* End of Get Values from Sliders*/



/* Start of + / - buttons*/
function paroxiNumber_changed() {
    calc();
}

function paroxi_high_changed() {
    calc();
}

function sintelestis_changed() {
    calc();
}
function piesi_changed() {
    calc();
}
/* End of + / - buttons*/

//Functions Call

/* Start of Get Values Functions*/
//Arithmos Paroxwn
function getParoxiNumber() {
    paroxiNumber = Number($("#paroxi").val());
    document.getElementById("label_paroxiNumber").innerHTML = paroxiNumber;
}
//Ypsiloteri Paroxi
function getParoxiHighNumber() {
    paroxi_high = Number($("#paroxi_high").val());
    document.getElementById("label_paroxi_high").innerHTML = paroxi_high + " mΥΣ";
}
//Sintelestis Tautoxronismou
function getSintelestis() {
    sTaut = Number($("#sintelestis").val());
    document.getElementById("label_sintelestis").innerHTML = sTaut;
}
//Piesi Ekrois
function getPiesi() {
    piesi = Number($("#piesi").val());
    document.getElementById("label_piesi").innerHTML = piesi + " mΥΣ";
}
/* End of Get Values Functions*/

/* Start of Calculations Function*/
function calc(){
//Call Functions
getParoxiNumber();
getParoxiHighNumber();
getSintelestis();
getPiesi();

//Theoritiki Paroxi
qTheta = (paroxiNumber*0.6);
document.getElementById("qThetaTxt").innerHTML = "Q<sub>θ</sub> = " + qTheta.toFixed(2).replace(".",",") + " m<sup>3</sup> / h";

//Paroxi
qu=(sTaut*qTheta);
document.getElementById("quTxt").innerHTML = "Q  = " + qu.toFixed(2).replace(".",",") + " m<sup>3</sup> / h";

//Arithmos Orofon
floorsNumber = Math.round(paroxi_high/3);
floorsNumberText.text ="Αριθμός Ορόφων: "+floorsNumber;

//Antistaseis Rohs
if(floorsNumber>0){
flowRes = (3+floorsNumber-1)*1.2;
}else{
    flowRes=0;
}
flowResText.text ="Αντιστάσεις Ροής: "+flowRes.toFixed(2).replace(".",",")+" mΥΣ";
//Manometriko Ypsos
H=paroxi_high+flowRes+piesi-posNetPressure;
if(paroxi_high ==0 && flowRes==0 && piesi==0){ H=0;
    document.getElementById("hTxt").innerHTML = "H  = " + H+ " mΥΣ";
    
}else{
    if(!Number.isInteger(H)){
        document.getElementById("hTxt").innerHTML = "H  = " + H.toFixed(2).replace(".",",")+ " mΥΣ";

    }else{
        document.getElementById("hTxt").innerHTML = "H  = " + H+ " mΥΣ";

    }
}
}
/* Start of Get Values Functions*/
// Get the modal
var modal = document.getElementById('modalImg');

// Get the image and insert it inside the modal - use its "alt" text as a caption
var imgExample1 = document.getElementById('example1');
var imgExample2 = document.getElementById('example2');
var img_th = document.getElementById('img_th');
var modalImg = document.getElementById("img01");
var captionText = document.getElementById("caption");
//Click Actions
imgExample1.onclick = function(){
  modal.style.display = "block";
  modalImg.src = this.src;
  captionText.innerHTML = this.alt;
};
imgExample2.onclick = function(){
  modal.style.display = "block";
  modalImg.src = this.src;
  captionText.innerHTML = this.alt;
};
img_th.onclick = function(){
  modal.style.display = "block";
  modalImg.src = this.src;
  captionText.innerHTML = this.alt;
};
// Get the <span> element that closes the modal
var span = document.getElementsByClassName("close-img")[0];

// When the user clicks on <span> (x), close the modal
span.onclick = function() {
  modal.style.display = "none";
};